gr::radar::estimator_fmcw Class Reference

This block estimates range and veloicty from peaks of a FMCW spectrum. Input messages are data with the identifier 'frequency' of the up-chirp, down-chirp and CW part. If data is available on all three message ports the estimation starts. The velocity is estimated with the frequency information of the CW block and the range is estimated with the up and down chirp. If multiple frequencies are given, the velocity is estimated first and associated with the most likely range from the up- and down-chirp. The output identifiers are 'range' and 'velocity'. More...

`#include <estimator_fmcw.h>`

Inheritance diagram for gr::radar::estimator_fmcw:

## Public Types

typedef std::shared_ptr< estimator_fmcw > | sptr

## Static Public Member Functions

static sptr | make (int samp_rate, float center_freq, float sweep_freq, int samp_up, int samp_down, bool push_power)
| Return a shared_ptr to a new instance of radar::estimator_fmcw.

## Detailed Description

This block estimates range and veloicty from peaks of a FMCW spectrum. Input messages are data with the identifier 'frequency' of the up-chirp, down-chirp and CW part. If data is available on all three message ports the estimation starts. The velocity is estimated with the frequency information of the CW block and the range is estimated with the up and down chirp. If multiple frequencies are given, the velocity is estimated first and associated with the most likely range from the up- and down-chirp. The output identifiers are 'range' and 'velocity'.

Parameters

  samp_rate | Sample rate
  center_freq | Center frequency
  sweep_freq | Sweep frequency
  samp_up | Samples of up-chirp
  samp_down | Samples of down-chirp
  push_power | Push through power of peak

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<estimator_fmcw> gr::radar::estimator_fmcw::sptr

## Member Function Documentation

## make()

sptr gr::radar::estimator_fmcw::make | ( | int | samp_rate,
|  | float | center_freq,
|  | float | sweep_freq,
|  | int | samp_up,
|  | int | samp_down,
|  | bool | push_power )

static

Return a shared_ptr to a new instance of radar::estimator_fmcw.

To avoid accidental use of raw pointers, radar::estimator_fmcw's constructor is in a private implementation class. radar::estimator_fmcw::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- estimator_fmcw.h